# plex

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.32.5](https://img.shields.io/badge/AppVersion-1.32.5-informational?style=flat-square)

Plex Media Server

## Source Code

* <https://plex.tv>
* <https://github.com/linuxserver/docker-plex>

## Requirements

Kubernetes: `>=1.22.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://bjw-s.github.io/helm-charts | common | 1.5.1 |

## Installing the Chart

This is a [Helm Library Chart](https://helm.sh/docs/topics/library_charts/#helm).

**WARNING: THIS CHART IS NOT MEANT TO BE INSTALLED DIRECTLY**

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See [values.yaml](./values.yaml) | Environment variables. [[ref]](https://github.com/linuxserver/docker-plex#parameters) |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"lscr.io/linuxserver/plex"` | image repository |
| image.tag | string | `"1.32.5"` | image tag |
| ingress.main | object | See [values.yaml](./values.yaml) | Enable and configure ingress settings for the chart under this key. |
| persistence.config | object | See [values.yaml](./values.yaml) | Configure persistence settings for the chart under this key. |
| persistence.library.enabled | bool | `false` |  |
| service.discovery.enabled | bool | `false` |  |
| service.discovery.ports.bonjour.enabled | bool | `true` |  |
| service.discovery.ports.bonjour.port | int | `5353` |  |
| service.discovery.ports.bonjour.protocol | string | `"UDP"` |  |
| service.discovery.ports.dlna-tcp.enabed | bool | `true` |  |
| service.discovery.ports.dlna-tcp.port | int | `32469` |  |
| service.discovery.ports.dlna-tcp.protocol | string | `"TCP"` |  |
| service.discovery.ports.dlna.enabled | bool | `true` |  |
| service.discovery.ports.dlna.port | int | `1900` |  |
| service.discovery.ports.dlna.protocol | string | `"UDP"` |  |
| service.discovery.ports.gdm1.enabled | bool | `true` |  |
| service.discovery.ports.gdm1.port | int | `32410` |  |
| service.discovery.ports.gdm1.protocol | string | `"UDP"` |  |
| service.discovery.ports.gdm2.enabled | bool | `true` |  |
| service.discovery.ports.gdm2.port | int | `32412` |  |
| service.discovery.ports.gdm2.protocol | string | `"UDP"` |  |
| service.discovery.ports.gdm3.enabled | bool | `true` |  |
| service.discovery.ports.gdm3.port | int | `32413` |  |
| service.discovery.ports.gdm3.protocol | string | `"UDP"` |  |
| service.discovery.ports.gdm4.enabled | bool | `true` |  |
| service.discovery.ports.gdm4.port | int | `32414` |  |
| service.discovery.ports.gdm4.protocol | string | `"UDP"` |  |
| service.discovery.ports.roku.enabled | bool | `true` |  |
| service.discovery.ports.roku.port | int | `8324` |  |
| service.discovery.ports.roku.protocol | string | `"TCP"` |  |
| service.main | object | See [values.yaml](./values.yaml) | Configures HTTP service settings for the chart. |

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
